Loading...
Searching...
No Matches
locals.h File Reference
`#include "Singular/tok.h"`
`#include "Singular/ipid.h"`
`#include "Singular/subexpr.h"`
`#include "kernel/structs.h"`
`#include "Singular/ipconv.h"`

Go to the source code of this file.

## Functions

BOOLEAN | jjANY2LIST (leftv res, leftv v, int cnt)
const char * | Tok2Cmdname (int tok)

## Function Documentation

## jjANY2LIST()

BOOLEAN jjANY2LIST | ( | leftv | res,
|  | leftv | v,
|  | int | cnt )

## Tok2Cmdname()

const char * Tok2Cmdname | ( | int | tok | ) |

Definition at line 137 of file gentable.cc.

{
if (tok < 0)
{
return cmds[0].name;
}
if (tok==COMMAND) return "command";
if (tok==ANY_TYPE) return "any_type";
if (tok==NONE) return "nothing";
//if (tok==IFBREAK) return "if_break";
//if (tok==VECTOR_FROM_POLYS) return "vector_from_polys";
//if (tok==ORDER_VECTOR) return "ordering";
//if (tok==REF_VAR) return "ref";
//if (tok==OBJECT) return "object";
//if (tok==PRINT_EXPR) return "print_expr";
if (tok==IDHDL) return "identifier";
// we do not blackbox objects during table generation:
//if (tok>MAX_TOK) return getBlackboxName(tok);
int i = 0;
while (cmds[i].tokval!=0)
{
if ((cmds[i].tokval == tok)&&(cmds[i].alias==0))
{
return cmds[i].name;
}
i++;
}
i=0;// try again for old/alias names:
while (cmds[i].tokval!=0)
{
if (cmds[i].tokval == tok)
{
return cmds[i].name;
}
i++;
}
#if 0
char *s=(char*)malloc(10);
snprintf(s,10,"(%d)",tok);
return s;
#else
return cmds[0].name;
#endif
}
i
int i
Definition cfEzgcd.cc:132
s
const CanonicalForm int s
Definition facAbsFact.cc:51
malloc
#define malloc
Definition omAllocFunc.c:12
cmds
VAR cmdnames cmds[]
Definition table.h:1027
IDHDL
#define IDHDL
Definition tok.h:31
NONE
#define NONE
Definition tok.h:223
COMMAND
#define COMMAND
Definition tok.h:29
ANY_TYPE
#define ANY_TYPE
Definition tok.h:30